#!/usr/bin/env python

from simplex import *
import sys, time

filename, step = sys.argv[1:3]
terms = sys.argv[3:]

f = open(filename)
tf = TextFile(f)
try:
    t = time.time()
    l = index_file(tf, int(step))
    print "Indexed in %s seconds." % (time.time() - t)

    # Now use the index.

    for term in terms:
        t = time.time()
        line = find_with_index(tf, l, term)
        if line:
            print "Found (at %s seconds)...\n%s" % (time.time() - t, line)

finally:
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
